MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025113Community[OCCT] OCCT:Meshpublic2014-07-30 18:322018-06-18 19:38
Reporteroan 
Assigned Tomsv 
PrioritynormalSeverityminor 
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0025113: Progress indication and user break functionality for BRepMesh component
DescriptionUser drazmyslovich reported the issue 0025044 that contains a set of modifications for BRepMesh. One of them relates to progress indication functionality that also gives possibility to break execution process by user request.
Steps To Reproducepsphere s 100
incmesh s 0.1 -progress -timeout 60
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025748resolvedabv Open CASCADE Foundation Classes - Parallel version of progress indicator 
child of 0025044feedbackdrazmyslovich Community BRepMesh tweaks 

-  Notes
(0030533)
git (administrator)
2014-08-01 17:15

Branch CR25113 has been created by oan.

SHA-1: 73464900d9d43ba1167df844117a496f4e9160da
(0030537)
oan (developer)
2014-08-01 17:20
edited on: 2014-08-01 19:00

Branch CR25113 is ready to be reviewed.
Corresponding branch has also be pushed to products repository.

User break/progress indication functionality has been integrated to BRepMesh using code base applied by drazmyslovich.

Draw command incmesh has also been changed in order to provide necessary options for mesh algorithm (angular tolerance, relative flag and new option timeout intended to test user break functionality).

(0030540)
git (administrator)
2014-08-01 19:03

Branch CR25113 has been updated by oan.

SHA-1: c6632be5b2b11f28a3ce302fc1c6e9fb4a86c53c


      from 7346490 0025113: Progress indication and user break functionality for BRepMesh component
       new c6632be small correction of grammar


Detailed log of new commits:

commit c6632be5b2b11f28a3ce302fc1c6e9fb4a86c53c
Author: oan
Date: Fri Aug 1 19:03:47 2014 +0400

    small correction of grammar

(0030554)
abv (manager)
2014-08-04 12:14

Oleg, I have a number of remarks:

- There are a lot of formatting changes (e.g. in BRepMesh_FastDiscret::Add()), I cannot be sure to identify all functional changes

- In BRepMesh_FastDiscretFace::AddInShape, try {} block lacks OCC_CATCH_SIGNALS in the beginning (it was the same before, but worth fixing anyway)

- Using exceptions to implement user break is rather controversial approach, it may be both dangerous if some resources are not released (or e.g. shape is not consistently updated) and inconvenient for debugging. I suggest you to consider more plain approach the progress indicator was designed for: just implement graceful exit from each function if UserBreak is signaled. Apart of safer exit, it may allow you to preserve model consistency keep at least some computed data.

- I suggest you to try the prototype multi-threaded version of the progress indicator, to be able to use it more naturally in the parallel code of BRepMesh. Note that in this case you would deal with Sentry objects rather than progress indicator handle, passing them in function arguments (i.e. not constructors).

At the end, would not it be logical to apply this change when you have your current effort on refactoring of BRepMesh completed?
(0032259)
git (administrator)
2014-09-26 17:07

Branch CR25113_1 has been created by oan.

SHA-1: fd3897bfa8781a52a35d8a4365cd843cea1c7aed


Detailed log of new commits:

Author: oan
Date: Fri Sep 26 17:05:20 2014 +0400

    0025113: Progress indication and user break functionality for BRepMesh component
(0035030)
git (administrator)
2014-12-04 18:50

Branch CR25113_2 has been created by oan.

SHA-1: 803b0b43c9ad4f234a30fa5952252f07488d0eab


Detailed log of new commits:

Author: oan
Date: Thu Dec 4 18:53:04 2014 +0300

    0025113: Progress indication and user break functionality for BRepMesh component
    
    Draft implementation of multi-thread progress indicator
(0035031)
oan (developer)
2014-12-04 18:52

Branch CR25113_2 is ready to be reviewed.
(0063186)
Timo (developer)
2017-01-30 12:29

Support of progress indicator or timeout would be highly appreciated (see https://dev.opencascade.org/index.php?q=node/1185 [^]).
(0076825)
oan (developer)
2018-06-18 19:38

Current patch is not actual and will be implemented after integration of #26106 feature waiting for review some time...

Parallel progress indicator is supposed for implementation within separate 0025748 issue and, IMHO, base version using mutexes should be intergrated first.

- Issue History
Date Modified Username Field Change
2014-07-30 18:32 oan New Issue
2014-07-30 18:32 oan Assigned To => oan
2014-07-30 18:33 oan Relationship added child of 0025044
2014-08-01 17:15 git Note Added: 0030533
2014-08-01 17:20 oan Note Added: 0030537
2014-08-01 17:20 oan Assigned To oan => abv
2014-08-01 17:20 oan Status new => resolved
2014-08-01 19:00 oan Note Edited: 0030537 View Revisions
2014-08-01 19:03 git Note Added: 0030540
2014-08-04 12:14 abv Note Added: 0030554
2014-08-04 12:14 abv Assigned To abv => oan
2014-08-04 12:14 abv Status resolved => assigned
2014-08-05 19:29 abv Target Version => 6.8.0
2014-09-26 17:07 git Note Added: 0032259
2014-10-16 11:10 oan Target Version 6.8.0 => 7.1.0
2014-12-04 18:50 git Note Added: 0035030
2014-12-04 18:52 oan Note Added: 0035031
2014-12-04 18:52 oan Assigned To oan => abv
2014-12-04 18:52 oan Status assigned => resolved
2014-12-04 18:52 oan Steps to Reproduce Updated View Revisions
2015-01-23 19:27 abv Relationship added related to 0025748
2016-10-25 17:39 oan Target Version 7.1.0 => 7.2.0
2017-01-30 12:29 Timo Note Added: 0063186
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2018-02-25 21:09 abv Target Version 7.3.0 => 7.4.0*
2018-06-18 18:19 abv Assigned To abv => msv
2018-06-18 19:38 oan Note Added: 0076825


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker